<table class="table table-bordered table-striped table-hover">
  <thead>
    <tr>
      <th class=""></th>
      <th class="col-xs-12 col-sm-12 col-md-12 col-lg-12">Document Title</th>
      <th class=""></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <%= form_for :newGuide, url: url_for(:controller => :guidelines, :action => :new_document) do |f| %>
      <td></td>
      <td colspan='1'>
        <%= f.text_field :title, placeholder: 'New Document Title', class:"form-control" %>
        <!--<input type="text" class="form-control" placeholder="Document name" />-->
      </td>
      <td>
        <%= f.submit "Add", class:"btn btn-success btn-sm center-block" %>
        <!--<button type="button" class="btn btn-success btn-sm add-guide">Add</button>-->
      </td>
      <% end %>
    </tr>
  <% if @guidelines.respond_to?('each') %>
    <% doc_ids = Array.new() %>
    <% @guidelines.each do |guide| %>

    <% if docs %>
      <% while guide.parent_id != nil %>
        <% guide = Guideline.find(guide.parent_id) %>
      <% end %>
      <% if (doc_ids.bsearch{|x| guide.id - x} != nil) %>
        <% next %>
      <% else %>
        <% doc_ids.push(guide.id) %>
        <% doc_ids.sort! %>
      <% end %>
    <% end %>

    <tr>
      <% if guide.published == true %>
        <td><span title="Published" class="glyphicon glyphicon-ok-sign text-success" style="font-size: 20px; margin-top: 5px"></span></td>
      <% else %>
        <td><span title="Unpublished" class="glyphicon glyphicon-exclamation-sign text-warning" style="font-size: 20px; margin-top: 5px"></span></td>
      <% end %>
      <td colspan='2'>
        <% if params[:filterrific] %>
          <%= link_to "guidelines/full/" + guide.id.to_s + "?date=" + params[:filterrific][:with_date], method: 'get' do %>
            <%= guide.title %>
          <% end %>
        <% else %>
          <%= link_to "guidelines/full/" + guide.id.to_s + "?date=" + @version_date.to_s, method: 'get' do %>
            <%= guide.title %>
          <% end %>
        <% end %>
        <!-- If the Guide is not a document, show what document it belongs to -->
        <% if guide.parent_id != nil %>
          <% d = guide %>
          <% while d.parent_id != nil %>
          <% d = Guideline.find(d.parent_id) %>
          <% end %>
          <span class="label label-default"><%= d.title %></span>
        <% end %>
      </td>
    </tr>
    <% end %>
  <% else %>
    <tr>
      <td></td>
      <td><%= link_to @guideline.title, guideline_path(@guideline), class:"btn btn-link title" %></td>
      <td>
        <%= link_to "Delete", guideline_path(@guideline),
        method: :delete, data: {confirm: 'Are you sure you want to delete '+ @guideline.title + '?'},
        class:"btn btn-danger btn-sm" %>
      </td>
    </tr>
  <% end %>
  </tbody>
</table>

<% if false %>
<!--bootstrap modal button, not working yet-->
<button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target=".delete-modal">Delete</span>
</button>
<% end %>
